## plasma-widget-tictactoe 1.1

=== CMakeLists.txt ===
project(plasma-tictactoe)

find_package(KDE4 REQUIRED)
# find_package(QT4 REQUIRED)
include(KDE4Defaults)
# include( ${QT_USE_FILE})
 
add_subdirectory( icons )
add_subdirectory( po )
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

set( SRCS plasma-tictactoe.cpp tictactoe.cpp playersSettings.cpp appearanceSettings.cpp )

kde4_add_plugin( plasma_applet_tictactoe ${SRCS})
target_link_libraries(plasma_applet_tictactoe 
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})
 
install(TARGETS plasma_applet_tictactoe
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES data/xo.svg
		  DESTINATION ${DATA_INSTALL_DIR}/plasma-tictactoe)
 
install(FILES plasma-applet-tictactoe.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== po/CMakeLists.txt ===
# Search KDE installation
FIND_PACKAGE(KDE4 REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
ENDIF (NOT GETTEXT_MSGFMT_EXECUTABLE)

FILE(GLOB _po_files *.po)

SET(_gmoFiles)

FOREACH(_current_PO_FILE ${_po_files})
   GET_FILENAME_COMPONENT(_lang ${_current_PO_FILE} NAME_WE)
   SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
   add_custom_command(OUTPUT ${_gmoFile}
         COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
         WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
         DEPENDS ${_current_PO_FILE}
      )

   INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION
       ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME plasma_applet_tictactoe.mo)
   LIST(APPEND _gmoFiles ${_gmoFile})
ENDFOREACH(_current_PO_FILE)
ADD_CUSTOM_TARGET(pofiles ALL DEPENDS ${_gmoFiles})

=== debian/changelog ===
plasma-widget-tictactoe (1.1-0ubuntu2) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Switch to source format 3.0 (quilt).
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Add ${misc:Depends} to the dependencies.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 14:30:35 +0200

plasma-widget-tictactoe (1.1-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #492899)
  * Bump Standards-Version to 3.8.3
  * Bump version of debhelper build-dep and compat to 7
  * Transition from debian-qt-kde.mk to dh --with-kde:
    - debian/control: Remove cdbs build-dep
    - debian/rules: Build with the dh7 kde addon

 -- Christian Mangold <neversfelde@ubuntu.com>  Sat, 05 Dec 2009 17:27:46 +0100

plasma-widget-tictactoe (0.1-0ubuntu2) karmic; urgency=low

  * Transition from libplasma-dev to kdelibs5-dev
    - debian/control: change libplasma-dev to kdelibs5-dev
  * Transition from kde4.mk to pkg-kde-tools
    - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
    - debian/control: Build-Depend on 'pkg-kde-tools'
  * Drop cmake from build-deps
  * Bump Standards-Version to 3.8.1 

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Fri, 22 May 2009 21:48:00 +0200

plasma-widget-tictactoe (0.1-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #329423)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 14 Feb 2009 15:25:56 +0100

=== debian/control ===
Source: plasma-widget-tictactoe
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>
Build-Depends: debhelper (>= 7.3.16~),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               kdelibs5-dev (>= 4:4.2.2)
Standards-Version: 3.8.4
Homepage: http://kde-look.org/content/show.php/TicTacToe+Plasmoid.?content=99329

Package: plasma-widget-tictactoe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tic tac toe game for plasma desktop
 This plasma widget is a tic tac toe game. You can play with two players
 and you can choose different colors to play.
